<?php

/*
 * @copyright Copyright (c) 2023-2024 WinderNet
 *
 * @license MIT License
 *
 * @link https://gitlab.com/windernet/php/framework-module-common/-/blob/main/LICENSE
 */

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                     NAMESPACE                                                                    \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

namespace WinderNet\Common\Exception;

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                      USAGES                                                                      \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

use RuntimeException;

//**************************************************************************************************************************************************\\
//                                                                                                                                                  \\
//                                                                    EXCEPTION                                                                     \\
//                                                                                                                                                  \\
//**************************************************************************************************************************************************\\

/**
 * This exception is thrown, if any class failed to initialize itself.
 *
 * @since 0.1.0
 */
class InitializationException extends RuntimeException {}
